Qt 5.6 | Qt 3D | C++ Classes | QQmlAspectEngine

Qt 5.6.3 Reference Documentation

# QQmlAspectEngine Class

(Qt3DCore::Quick::QQmlAspectEngine)

The QQmlAspectEngine provides an environment for the QAspectEngine and a method for instantiating QML components. More...

Header: | #include <QQmlAspectEngine>
qmake: | QT += 3dcore

- List of all members, including inherited members

## Public Types

enum | Status { Null, Ready, Loading, Error }

## Public Functions

| QQmlAspectEngine(QObject *parent = Q_NULLPTR)
QAspectEngine * | aspectEngine() const
QQmlEngine * | qmlEngine() const
void | setSource(const QUrl &source)
Status | status() const

## Signals

void | statusChanged(Status status)

## Detailed Description

The QQmlAspectEngine provides an environment for the QAspectEngine and a method for instantiating QML components.

## Member Type Documentation

### enum QQmlAspectEngine::Status

The status of the engine.

Constant | Value
--- | ---
`Qt3DCore::Quick::QQmlAspectEngine::Null` | `0`
`Qt3DCore::Quick::QQmlAspectEngine::Ready` | `1`
`Qt3DCore::Quick::QQmlAspectEngine::Loading` | `2`
`Qt3DCore::Quick::QQmlAspectEngine::Error` | `3`

## Member Function Documentation

### QQmlAspectEngine::QQmlAspectEngine(QObject *parent = Q_NULLPTR)

Constructs a new QQmlAspectEngine with parent.

### QAspectEngine *QQmlAspectEngine::aspectEngine() const

Returns the aspectEngine.

### QQmlEngine *QQmlAspectEngine::qmlEngine() const

Returns the engine.

### void QQmlAspectEngine::setSource(const QUrl &source)

Sets source as a source for the QML component to be created.

### Status QQmlAspectEngine::status() const

Returns the status.

### `[signal]` void QQmlAspectEngine::statusChanged(Status status)

This signal is emitted with status when the status of the engine changes.